---
#
# Define for each project the URL of its pbconf repository
# No default option allowed here as they need to be all different
#
# Overwrite default LinuxCOE conf when having commit access
pburl linuxcoe = cvs+ssh://:ext:user@linuxcoe.cvs.sourceforge.net:/cvsroot/linuxcoe

# Each project should have its pbconfurl declared:
pbconfurl:
  collectl: svn+ssh://svn.project-builder.org/prj/svn/pb/projects/collectl/pbconf
  netperf: svn+ssh://svn.project-builder.org/prj/svn/pb/projects/netperf/pbconf
  python-redfish: git+ssh://git@github.com:bcornec/python-redfish.git
  fossology: git+ssh://git@github.com:fossology/fossology.git
  mondorescue: svn+ssh://svn.project-builder.org/prj/svn/pb/projects/mondorescue/pbconf
  linuxcoe: svn+ssh://svn.project-builder.org/prj/svn/pb/projects/linuxcoe/pbconf
  pb: svn+ssh://svn.project-builder.org/prj/svn/pb/pbconf
  python-tortilla: svn+ssh://svn.project-builder.org/prj/svn/pb/projects/python-tortilla/pbconf
  python-formats: svn+ssh://svn.project-builder.org/prj/svn/pb/projects/python-formats/pbconf

# Under that dir will take place everything related to pb
# If you want to use VMs/chroot/..., then use $ENV{'HOME'} to make it portable
# to your VMs/chroot/...
# if not defined then /var/cache
pbdefdir:
  default: $ENV{'HOME'}/pb/projects
  python-redfish: $ENV{'HOME'}/prj
  fossology: $ENV{'HOME'}/prj
  pb: $ENV{'HOME'}
  python-tortilla: $ENV{'HOME'}/prj
  python-formats: $ENV{'HOME'}/prj

# Where is the pbconf directory
pbconfdir:
  fossology: $ENV{'HOME'}/prj/fossology/pbconf
  python-redfish: $ENV{'HOME'}/prj/python-redfish/pbconf
  pb: $ENV{'HOME'}/pb/pbconf
  mondorescue: $ENV{'HOME'}/pb/projects/mondorescue/pbconf
  python-tortilla: $ENV{'HOME'}/pb/projects/python-tortilla/pbconf
  python-formats: $ENV{'HOME'}/pb/projects/python-formats/pbconf

# If not defined, pbdir is under pbdefdir/pbproj
# Only defined if we have access to the dev of the project
pbprojdir:
  linuxcoe: $ENV{'HOME'}/prj/LinuxCOE/cvs
  mondorescue: $ENV{'HOME'}/prj/mondo/svn
  fossology: $ENV{'HOME'}/Work/bruno/fossology/svn

# Local 
# where are your local build conf files a .pbrc is searched in those dirs
# to get the additional info needed for building
vmpath:
  default: /media/disk/qemu
vepath:
  default: /media/disk/docker
